Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.systemModel
Class ComponentType

    java.lang.Object
      kieker.tools.traceAnalysis.systemModel.ComponentType

    public class ComponentType

extends Object

This class represents the type of a component within the trace analysis tool.

Since:
  1.1
Author:
  Andre van Hoorn

Constructor Summary
`ComponentType(int id, String fullqualifiedTypeName)` Creates a new instance of this class using the given parameters.
`ComponentType(int id, String packageName, String typeName)` Creates a new instance of this class using the given parameters.

Method Summary
`Operation` | `addOperation(Operation op)` This method adds a given operation to the list of available operations.
`boolean` | `equals(Object obj)`
`String` | `getFullQualifiedName()` Delivers the full qualified name of this type (the packages are separated with '.').
`int` | `getId()` Delivers the ID of the component type.
`Collection<Operation>` | `getOperations()` Delivers a collection containing the available operations within this component type.
`String` | `getPackageName()` Delivers the package name of this type.
`String` | `getTypeName()` Delivers the name of the type.
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentType

    public ComponentType(int id,
                         String packageName,
                         String typeName)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `id` - The ID of the component type.
    `packageName` - The package name.
    `typeName` - The type name.

### ComponentType

    public ComponentType(int id,
                         String fullqualifiedTypeName)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `id` - The ID of the component type.
    `fullqualifiedTypeName` - The fully qualified name of the type, separated with '.'.

Method Detail

### getId

    public final int getId()

  Delivers the ID of the component type.

  Returns:
    The ID.

### getTypeName

    public final String getTypeName()

  Delivers the name of the type.

  Returns:
    The type name.

### getPackageName

    public final String getPackageName()

  Delivers the package name of this type.

  Returns:
    The package name.

### getFullQualifiedName

    public final String getFullQualifiedName()

  Delivers the full qualified name of this type (the packages are separated with '.').

  Returns:
    The full qualified name.

### getOperations

    public final Collection<Operation> getOperations()

  Delivers a collection containing the available operations within this component type.

  Returns:
    The operations.

### addOperation

    public final Operation addOperation(Operation op)

  This method adds a given operation to the list of available operations.

  Parameters:
    `op` - The operation to be added.
  Returns:
    The added operation.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net